import { BehaviorSubject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class EuiTableSelectableRowService {
    selectedRows$: BehaviorSubject<any[]>;
    isAllRowsSelected$: BehaviorSubject<boolean>;
    private rows;
    private isAllRowsSelected;
    constructor();
    addSelectedRow(row: any): void;
    removeSelectedRow(row: any): void;
    addRow(row: any): void;
    addRows(rows: any[]): void;
    resetRows(): void;
    selectRows(rows: any[]): void;
    selectAllRows(): void;
    unselectAllRows(): void;
    static ɵfac: i0.ɵɵFactoryDef<EuiTableSelectableRowService, never>;
    static ɵprov: i0.ɵɵInjectableDef<EuiTableSelectableRowService>;
}
